GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- File List
- Globals

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Typedefs | Functions
secure_transport_setup.h File Reference
`#include "src/core/iomgr/endpoint.h"`
`#include "src/core/security/security_connector.h"`

Go to the source code of this file.

## Typedefs
typedef void(* | grpc_secure_transport_setup_done_cb )(void *user_data, grpc_security_status status, grpc_endpoint *wrapped_endpoint, grpc_endpoint *secure_endpoint)

## Functions
void | grpc_setup_secure_transport (grpc_security_connector *connector, grpc_endpoint *nonsecure_endpoint, grpc_secure_transport_setup_done_cb cb, void *user_data)

## Typedef Documentation

typedef void(* grpc_secure_transport_setup_done_cb)(void *user_data, grpc_security_status status, grpc_endpoint *wrapped_endpoint, grpc_endpoint *secure_endpoint)

## Function Documentation

void grpc_setup_secure_transport | ( | grpc_security_connector * | connector,
|  | grpc_endpoint * | nonsecure_endpoint,
|  | grpc_secure_transport_setup_done_cb | cb,
|  | void * | user_data
| ) |  |